# Method: apps.firewall.ingressRules.list

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.ListIngressRulesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules/list#try-it)

Lists the firewall rules of an application.

### HTTP request

`GET https://appengine.googleapis.com/v1/{parent=apps/*}/firewall/ingressRules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Name of the Firewall collection to retrieve. Example: `apps/myapp/firewall/ingressRules`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `appengine.applications.get` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum results to return per page. |
| `pageToken` | `string` Continuation token for fetching the next page of results. |
| `matchingAddress` | `string` A valid IP Address. If set, only rules matching this address will be returned. The first returned rule will be the rule that fires on requests from this IP. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for `Firewall.ListIngressRules`.

| JSON representation |
|---|
| ``` { "ingressRules": [ { object (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules#FirewallRule`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `ingressRules[]` | ``object (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1/apps.firewall.ingressRules#FirewallRule`)`` The ingress FirewallRules for this application. |
| `nextPageToken` | `string` Continuation token for fetching the next page of results. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/appengine.admin`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).